import { IRole } from 'aws-cdk-lib/aws-iam';
import { IFunction } from 'aws-cdk-lib/aws-lambda';
import { Construct } from 'constructs';
import { S3DataCopyProps } from './s3-data-copy-props';
import { TrackedConstruct } from './tracked-construct';
/**
 * Copy data from one S3 bucket to another.
 * @see https://awslabs.github.io/aws-data-solutions-framework/docs/constructs/library/s3-data-copy
 */
export declare class S3DataCopy extends TrackedConstruct {
    private static readonly CR_RUNTIME;
    private static readonly LOG_RETENTION;
    /**
     * The Lambda function used to copy the data
     */
    readonly copyLambda: IFunction;
    /**
     * The IAM role used by the lambda to copy the data
     */
    readonly executionRole: IRole;
    constructor(scope: Construct, id: string, props: S3DataCopyProps);
}
